#\u7AEF\u53E3\u914D\u7F6E
server.port=6003
#tomcat\u6700\u5927\u7EBF\u7A0B\u6570\uFF0C\u9ED8\u8BA4\u4E3A200
server.tomcat.threads.max=250
#tomcat\u6700\u5927\u8FDE\u63A5\u6570
server.tomcat.max-connections=2500
#tomcat\u7684URI\u7F16\u7801
server.tomcat.uri-encoding=UTF-8

#\u9879\u76EE\u540D\u79F0
spring.application.name=themis-task

#\u6570\u636E\u6E90\u914D\u7F6E
db.host=localhost
db.port=3306
db.name=themis_release
db.username=root
db.password=123456789

#redis\u6570\u636E\u6E90\u914D\u7F6E
#com.qmth.redis.host=${db.host}
#com.qmth.redis.port=6379
#com.qmth.redis.db=13
#com.qmth.redis.password=

redis.host=127.0.0.1
redis.database=13
redis.port=6379
redis.password=

spring.redis.database=${redis.database}
spring.redis.host=${redis.host}
spring.redis.port=${redis.port}
spring.redis.password=${redis.password}
spring.redis.jedis.pool.max-active=30
spring.redis.jedis.pool.max-wait=-1ms
spring.redis.jedis.pool.max-idle=5
spring.redis.jedis.pool.min-idle=1
spring.redis.jedis.timeout=180000

#mysql\u914D\u7F6E
com.qmth.datasource.url=jdbc:mysql://${db.host}:${db.port}/${db.name}?serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=UTF-8&nullCatalogMeansCurrent=true
com.qmth.datasource.username=${db.username}
com.qmth.datasource.password=${db.password}
com.qmth.mybatis.log-level=debug

#\u65E5\u5FD7\u914D\u7F6E
logging.level.root=info

#\u65E5\u671F\u683C\u5F0F\u5316
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8

#\u7CFB\u7EDF\u914D\u7F6E
sys.config.datacenterId=3
sys.config.oss=true
#sys.config.serverUpload=/Users/king/git/themis-files/
#spring.resources.static-locations=file:${sys.config.serverUpload},classpath:/META-INF/resources/,classpath:/resources/

#\u963F\u91CC\u4E91OSS\u914D\u7F6E
aliyun.oss.publicName=oss-cn-shenzhen.aliyuncs.com
aliyun.oss.publicEndpoint=http://${aliyun.oss.publicName}
aliyun.oss.publicAccessKeyId=LTAI4FnJ2pgV6aGceYcCkeEi
aliyun.oss.publicAccessKeySecret=ktrMEVE7PfoxRPeJUPDFeygOIH4aU7
aliyun.oss.publicBucket=qmth-test
aliyun.oss.publicUrl=http://${aliyun.oss.publicBucket}.${aliyun.oss.publicName}

aliyun.oss.privateName=oss-cn-shenzhen.aliyuncs.com
aliyun.oss.privateEndpoint=http://${aliyun.oss.privateName}
aliyun.oss.privateAccessKeyId=LTAI4FnJ2pgV6aGceYcCkeEi
aliyun.oss.privateAccessKeySecret=ktrMEVE7PfoxRPeJUPDFeygOIH4aU7
aliyun.oss.privateBucket=qmth-test
aliyun.oss.privateUrl=http://static-test.qmth.com.cn

#============================================================================
# \u914D\u7F6EJobStore
#============================================================================
spring.quartz.job-store-type=jdbc
spring.quartz.jdbc.initialize-schema=never
# JobDataMaps\u662F\u5426\u90FD\u4E3AString\u7C7B\u578B\uFF0C\u9ED8\u8BA4false
spring.quartz.properties.org.quartz.jobStore.useProperties=false
# \u8868\u7684\u524D\u7F00\uFF0C\u9ED8\u8BA4QRTZ_
spring.quartz.properties.org.quartz.jobStore.tablePrefix=QRTZ_
# \u662F\u5426\u52A0\u5165\u96C6\u7FA4
spring.quartz.properties.org.quartz.jobStore.isClustered=true
# \u8C03\u5EA6\u5B9E\u4F8B\u5931\u6548\u7684\u68C0\u67E5\u65F6\u95F4\u95F4\u9694 ms
spring.quartz.properties.org.quartz.jobStore.clusterCheckinInterval=5000
# \u5F53\u8BBE\u7F6E\u4E3A\u201Ctrue\u201D\u65F6\uFF0C\u6B64\u5C5E\u6027\u544A\u8BC9Quartz \u5728\u975E\u6258\u7BA1JDBC\u8FDE\u63A5\u4E0A\u8C03\u7528setTransactionIsolation\uFF08Connection.TRANSACTION_READ_COMMITTED\uFF09\u3002
spring.quartz.properties.org.quartz.jobStore.txIsolationLevelReadCommitted=true
# \u6570\u636E\u4FDD\u5B58\u65B9\u5F0F\u4E3A\u6570\u636E\u5E93\u6301\u4E45\u5316
spring.quartz.properties.org.quartz.jobStore.class=org.quartz.impl.jdbcjobstore.JobStoreTX
# \u6570\u636E\u5E93\u4EE3\u7406\u7C7B\uFF0C\u4E00\u822Corg.quartz.impl.jdbcjobstore.StdJDBCDelegate\u53EF\u4EE5\u6EE1\u8DB3\u5927\u90E8\u5206\u6570\u636E\u5E93
spring.quartz.properties.org.quartz.jobStore.driverDelegateClass=org.quartz.impl.jdbcjobstore.StdJDBCDelegate
#============================================================================
# Scheduler \u8C03\u5EA6\u5668\u5C5E\u6027\u914D\u7F6E
#============================================================================
# \u8C03\u5EA6\u6807\u8BC6\u540D \u96C6\u7FA4\u4E2D\u6BCF\u4E00\u4E2A\u5B9E\u4F8B\u90FD\u5FC5\u987B\u4F7F\u7528\u76F8\u540C\u7684\u540D\u79F0
spring.quartz.properties.org.quartz.scheduler.instanceName=ClusterQuartz
# ID\u8BBE\u7F6E\u4E3A\u81EA\u52A8\u83B7\u53D6 \u6BCF\u4E00\u4E2A\u5FC5\u987B\u4E0D\u540C
spring.quartz.properties.org.quartz.scheduler.instanceId=AUTO

#============================================================================
# \u914D\u7F6EThreadPool
#============================================================================
# \u7EBF\u7A0B\u6C60\u7684\u5B9E\u73B0\u7C7B\uFF08\u4E00\u822C\u4F7F\u7528SimpleThreadPool\u5373\u53EF\u6EE1\u8DB3\u51E0\u4E4E\u6240\u6709\u7528\u6237\u7684\u9700\u6C42\uFF09
spring.quartz.properties.org.quartz.threadPool.class=org.quartz.simpl.SimpleThreadPool
# \u6307\u5B9A\u7EBF\u7A0B\u6570\uFF0C\u4E00\u822C\u8BBE\u7F6E\u4E3A1-100\u76F4\u63A5\u7684\u6574\u6570\uFF0C\u6839\u636E\u7CFB\u7EDF\u8D44\u6E90\u914D\u7F6E
spring.quartz.properties.org.quartz.threadPool.threadCount=10
# \u8BBE\u7F6E\u7EBF\u7A0B\u7684\u4F18\u5148\u7EA7(\u53EF\u4EE5\u662FThread.MIN_PRIORITY\uFF08\u53731\uFF09\u548CThread.MAX_PRIORITY\uFF08\u8FD9\u662F10\uFF09\u4E4B\u95F4\u7684\u4EFB\u4F55int \u3002\u9ED8\u8BA4\u503C\u4E3AThread.NORM_PRIORITY\uFF085\uFF09\u3002)
spring.quartz.properties.org.quartz.threadPool.threadPriority=5

#============================================================================
# \u914D\u7F6Erocketmq
#============================================================================
#namesrv\u5730\u5740
rocketmq.name-server=127.0.0.1:9876
#\u53D1\u9001\u6D88\u606F\u8D85\u65F6\u65F6\u95F4\uFF0C\u5355\u4F4D\u6BEB\u79D2\u3002\u9ED8\u8BA410000
rocketmq.producer.send-message-timeout=300000
#Producer\u7EC4\u540D\uFF0C\u591A\u4E2AProducer\u5982\u679C\u5C5E\u4E8E\u4E00\u4E2A\u5E94\u7528\uFF0C\u53D1\u9001\u540C\u6837\u7684\u6D88\u606F\uFF0C\u5219\u5E94\u8BE5\u5C06\u5B83\u4EEC\u5F52\u4E3A\u540C\u4E00\u7EC4\u3002\u9ED8\u8BA4DEFAULT_PRODUCER
rocketmq.producer.group=my-group
#\u5BA2\u6237\u7AEF\u9650\u5236\u7684\u6D88\u606F\u5927\u5C0F\uFF0C\u8D85\u8FC7\u62A5\u9519\uFF0C\u540C\u65F6\u670D\u52A1\u7AEF\u4E5F\u4F1A\u9650\u5236\uFF0C\u9700\u8981\u8DDF\u670D\u52A1\u7AEF\u914D\u5408\u4F7F\u7528\u3002\u9ED8\u8BA44MB
rocketmq.producer.compress-message-body-threshold=4096
rocketmq.producer.max-message-size=4194304
#\u5982\u679C\u6D88\u606F\u53D1\u9001\u5931\u8D25\uFF0C\u6700\u5927\u91CD\u8BD5\u6B21\u6570\uFF0C\u8BE5\u53C2\u6570\u53EA\u5BF9\u5F02\u6B65\u53D1\u9001\u6A21\u5F0F\u8D77\u4F5C\u7528\u3002\u9ED8\u8BA42
rocketmq.producer.retry-times-when-send-async-failed=3
#\u5982\u679C\u6D88\u606F\u53D1\u9001\u5931\u8D25\uFF0C\u662F\u5426\u7EE7\u7EED\u53D1\u4E0B\u4E00\u6761
rocketmq.producer.retry-next-server=true
#\u5982\u679C\u6D88\u606F\u53D1\u9001\u5931\u8D25\uFF0C\u6700\u5927\u91CD\u8BD5\u6B21\u6570\uFF0C\u8BE5\u53C2\u6570\u53EA\u5BF9\u540C\u6B65\u53D1\u9001\u6A21\u5F0F\u8D77\u4F5C\u7528\u3002\u9ED8\u8BA42
rocketmq.producer.retry-times-when-send-failed=3
#ACK
rocketmq.producer.access-key=AK
rocketmq.producer.secret-key=SK
#\u542F\u7528\u6D88\u606F\u8F68\u8FF9\uFF0C\u9ED8\u8BA4\u503Ctrue
rocketmq.producer.enable-msg-trace=true
#\u81EA\u5B9A\u4E49\u7684\u6D88\u606F\u8F68\u8FF9\u4E3B\u9898
#rocketmq.producer.customized-trace-topic=my-trace-topic